LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-17-2005, 11:49 AM   #1
saipraveen
Member
 
Registered: Jun 2005
Location: Hyderabad
Posts: 35

Rep: Reputation: 15
problem with yum


Hello,

I have a problem with yum too. My distro is FC4. Here is it........

[root@localhost ~]# yum install xine
Setting up Install Process
Setting up repositories
Traceback (most recent call last):
File "/usr/bin/yum", line 15, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 72, in main
result, resultmsgs = do()
File "/usr/share/yum-cli/cli.py", line 412, in doCommands
return self.installPkgs()
File "/usr/share/yum-cli/cli.py", line 759, in installPkgs
self.doRepoSetup()
File "/usr/share/yum-cli/cli.py", line 72, in doRepoSetup
yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
File "__init__.py", line 208, in doRepoSetup
File "repos.py", line 516, in baseurlSetup
File "repos.py", line 768, in getMirrorList
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 444, in urlopen
return default_grabber.urlopen(url, **kwargs)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 575, in urlopen
return self._retry(opts, retryfunc, url)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 547, in _retry
return apply(func, (opts,) + args, {})
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 574, in retryfunc
return URLGrabberFileObject(url, filename=None, opts=opts)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 727, in __init__
self._do_open()
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 794, in _do_open
fo, hdr = self._make_request(req, opener)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 885, in _make_request
fo = opener.open(req)
File "/usr/lib/python2.4/urllib2.py", line 358, in open
response = self._open(req, data)
File "/usr/lib/python2.4/urllib2.py", line 376, in _open
'_open', req)
File "/usr/lib/python2.4/urllib2.py", line 337, in _call_chain
result = func(*args)
File "/usr/lib/python2.4/urllib2.py", line 573, in <lambda>
lambda r, proxy=url, type=type, meth=self.proxy_open: \
File "/usr/lib/python2.4/urllib2.py", line 580, in proxy_open
if '@' in host:
TypeError: iterable argument required

Can any one help me please.?

THANKS IN ANTICIPATION.

Last edited by saipraveen; 08-17-2005 at 11:51 AM.
 
Old 08-17-2005, 11:50 AM   #2
saipraveen
Member
 
Registered: Jun 2005
Location: Hyderabad
Posts: 35

Original Poster
Rep: Reputation: 15
Re: problem with yum

Quote:
Originally posted by saipraveen
Hello,

I have a problem with yum too I use FC4. Here is it........

[root@localhost ~]# yum install xine
Setting up Install Process
Setting up repositories
Traceback (most recent call last):
File "/usr/bin/yum", line 15, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 72, in main
result, resultmsgs = do()
File "/usr/share/yum-cli/cli.py", line 412, in doCommands
return self.installPkgs()
File "/usr/share/yum-cli/cli.py", line 759, in installPkgs
self.doRepoSetup()
File "/usr/share/yum-cli/cli.py", line 72, in doRepoSetup
yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
File "__init__.py", line 208, in doRepoSetup
File "repos.py", line 516, in baseurlSetup
File "repos.py", line 768, in getMirrorList
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 444, in urlopen
return default_grabber.urlopen(url, **kwargs)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 575, in urlopen
return self._retry(opts, retryfunc, url)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 547, in _retry
return apply(func, (opts,) + args, {})
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 574, in retryfunc
return URLGrabberFileObject(url, filename=None, opts=opts)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 727, in __init__
self._do_open()
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 794, in _do_open
fo, hdr = self._make_request(req, opener)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 885, in _make_request
fo = opener.open(req)
File "/usr/lib/python2.4/urllib2.py", line 358, in open
response = self._open(req, data)
File "/usr/lib/python2.4/urllib2.py", line 376, in _open
'_open', req)
File "/usr/lib/python2.4/urllib2.py", line 337, in _call_chain
result = func(*args)
File "/usr/lib/python2.4/urllib2.py", line 573, in <lambda>
lambda r, proxy=url, type=type, meth=self.proxy_open: \
File "/usr/lib/python2.4/urllib2.py", line 580, in proxy_open
if '@' in host:
TypeError: iterable argument required

Can any one help me please.?

THANKS IN ANTICIPATION.
 
Old 08-17-2005, 12:02 PM   #3
lord-fu
Member
 
Registered: Apr 2005
Location: Ohio
Distribution: Slackware && freeBSD
Posts: 676

Rep: Reputation: 30
Hi, I notice that you had another thread where you were trying to use apt, I am not a guru and I don't use apt, or yellow dog but I think you might have to try a longer file name as in #yum install xine.1.10 or what not. Again If I am wrong I apologize.
 
Old 08-17-2005, 12:05 PM   #4
aysiu
Senior Member
 
Registered: May 2005
Distribution: Ubuntu with IceWM
Posts: 1,776

Rep: Reputation: 86
This probably isn't what you want to hear, but use a Debian-based distro (Mepis, Ubuntu, Xandros).
When you type apt-get install xine, all your dependencies will be resolved.
 
Old 08-17-2005, 02:23 PM   #5
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
Quote:
Originally posted by aysiu
This probably isn't what you want to hear, but use a Debian-based distro (Mepis, Ubuntu, Xandros).
When you type apt-get install xine, all your dependencies will be resolved.
YUM does the same thing as apt.

saipraveen Did you upgrade anything recently? Try reinstalling yum manually. Download the latest version from the updates section of an Fedora Core 4 yum mirror.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
yum question: How to update from backed up yum cache? Arodef Linux - Software 2 02-02-2010 11:42 PM
problem after yum yum yum (delicious) alaios Fedora 3 01-14-2009 02:34 AM
yum version yum-2.0.5-0.9.2.legacy.noarch.rpm master Red Hat 6 05-13-2005 03:03 PM
Yum Errors in parsing, whats wrong here (yum.conf pasted) thejokker Linux - Newbie 1 06-15-2004 02:28 AM
Fast Yum Mirror Settings For Yum ( RH9 ) fortezza Red Hat 1 06-11-2004 04:24 PM


All times are GMT -5. The time now is 04:08 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration